* [gentoo-commits] repo/gentoo:master commit in: games-emulation/openmsx/, games-emulation/openmsx/files/
@ 2018-04-29 13:06 99% Pacho Ramos
0 siblings, 0 replies; 1+ results
From: Pacho Ramos @ 2018-04-29 13:06 UTC (permalink / raw
To: gentoo-commits
commit: 4e970d590635d36ff686797b24b0bea7cb372139
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 12:05:28 2018 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 13:06:27 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e970d59
games-emulation/openmsx: Version bump
Package-Manager: Portage-2.3.31, Repoman-2.3.9
games-emulation/openmsx/Manifest | 1 +
.../openmsx/files/openmsx-0.9.1-verbose.patch | 4 +-
games-emulation/openmsx/openmsx-0.14.0.ebuild | 74 ++++++++++++++++++++++
3 files changed, 77 insertions(+), 2 deletions(-)
diff --git a/games-emulation/openmsx/Manifest b/games-emulation/openmsx/Manifest
index 4b511ea3445..8e53442a1e4 100644
--- a/games-emulation/openmsx/Manifest
+++ b/games-emulation/openmsx/Manifest
@@ -1 +1,2 @@
+DIST openmsx-0.14.0.tar.gz 3338719 BLAKE2B e9c09d29bb994f4f40e22271c090580688724cb7024910f0f829a59d0e65e6e70e1c037b943582aac644ee51a00b7e439e751bd84e5828168486b74ee09e8b78 SHA512 74a30de89b4a7cb4d8d5a0ad0c16ab6b58244251ebcbe470cc3cccec6a636492fa8779d1667d76646eabcf8d7d67c53094d5e0a313d452a4a679d797e9394a9b
DIST openmsx-0.9.1.tar.gz 2975351 BLAKE2B 6c571b1cc0039ea8e37af1d503260f21e6431d4403bb74a06fd60bfd1f1d3d0c1831c9e82ae2446dd8ff1bb7bd0cafcf8290306cb1d0bcc23cb7ba7cfebc3d1b SHA512 7c4d23963f33e3033dea1d0ad9351e4f38f7434e2e077b6f8fd00cf80e0160b45291ff19be71646178ecafa01e954267dfe4c815578d4abb14c8595a863f98ff
diff --git a/games-emulation/openmsx/files/openmsx-0.9.1-verbose.patch b/games-emulation/openmsx/files/openmsx-0.9.1-verbose.patch
index 18ac6fdc83b..e8007636f80 100644
--- a/games-emulation/openmsx/files/openmsx-0.9.1-verbose.patch
+++ b/games-emulation/openmsx/files/openmsx-0.9.1-verbose.patch
@@ -1,5 +1,5 @@
---- build/main.mk.old 2015-01-18 12:18:50.608153217 +0100
-+++ build/main.mk 2015-01-18 12:20:00.352861984 +0100
+--- a/build/main.mk.old 2015-01-18 12:18:50.608153217 +0100
++++ b/build/main.mk 2015-01-18 12:20:00.352861984 +0100
@@ -541,10 +541,9 @@
DEPEND_SUBST=$(patsubst $(SOURCES_PATH)/%.cc,$(DEPEND_PATH)/%.d,$<)
$(OBJECTS_FULL): $(INIT_DUMMY_FILE)
diff --git a/games-emulation/openmsx/openmsx-0.14.0.ebuild b/games-emulation/openmsx/openmsx-0.14.0.ebuild
new file mode 100644
index 00000000000..8b39565b4be
--- /dev/null
+++ b/games-emulation/openmsx/openmsx-0.14.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop readme.gentoo-r1
+
+DESCRIPTION="MSX emulator that aims for perfection"
+HOMEPAGE="http://openmsx.org/"
+SRC_URI="https://github.com/openMSX/openMSX/releases/download/RELEASE_0_14_0/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-lang/tcl:0=
+ dev-libs/libxml2
+ media-libs/libpng:0=
+ media-libs/libsdl[sound,video]
+ >=media-libs/glew-1.3.2:0=
+ media-libs/sdl-image[png]
+ media-libs/sdl-ttf
+ virtual/opengl
+"
+DEPEND="${RDEPEND}"
+
+DOC_CONTENTS="
+If you want to if you want to emulate real MSX systems and not
+only the free C-BIOS machines, put the system ROMs in one of
+the following directories: /usr/share/${PN}/systemroms
+or ~/.openMSX/share/systemroms
+"
+
+src_prepare() {
+ default
+ sed -i \
+ -e '/^LDFLAGS:=/d' \
+ -e '/LINK_FLAGS_PREFIX/d' \
+ -e '/LINK_FLAGS+=/s/-s//' \
+ -e '/LINK_FLAGS+=\$(TARGET_FLAGS)/s/$/ $(LDFLAGS)/' \
+ build/main.mk \
+ || die
+ sed -i -e '/SYMLINK/s:true:false:' build/custom.mk || die
+ sed -i -e 's/GPL.txt//' doc/node.mk || die
+}
+
+src_compile() {
+ emake \
+ CXXFLAGS="${CXXFLAGS}" \
+ INSTALL_SHARE_DIR=/usr/share/${PN} \
+ V=1
+}
+
+src_install() {
+ emake \
+ V=1 \
+ INSTALL_BINARY_DIR="${ED}/usr/bin" \
+ INSTALL_SHARE_DIR="${ED}/usr/share/${PN}" \
+ INSTALL_DOC_DIR="${D}"/usr/share/doc/${PF} \
+ install
+
+ einstalldocs
+ readme.gentoo_create_doc
+
+ for i in 16 32 48 64 128 256 ; do
+ newicon -s "${i}" "share/icons/openMSX-logo-${i}.png" "${PN}.png"
+ done
+ make_desktop_entry "${PN}" "openMSX"
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2018-04-29 13:06 99% [gentoo-commits] repo/gentoo:master commit in: games-emulation/openmsx/, games-emulation/openmsx/files/ Pacho Ramos
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox